default: all

#CLASSPATH=.:/usr/sadm/lib/xml.jar:./xml.jar:/usr/java/lib/classes.zip
#CLASSPATH=xalan/xerces.jar:.
CLASSPATH=xalan/xerces.jar:.
JAVAC=javac -classpath $(CLASSPATH)

Defs.class: Defs.java
	$(JAVAC) Defs.java

AttributeDef.class: AttributeDef.java
	$(JAVAC) AttributeDef.java

ClassDef.class: ClassDef.java
	$(JAVAC) ClassDef.java

Query.class: Query.java
	$(JAVAC) Query.java

RPSLSyntax.class: RPSLSyntax.java
	$(JAVAC) RPSLSyntax.java

AttributeSyntax.class: AttributeSyntax.java
	$(JAVAC) AttributeSyntax.java

#makedefs: 
#	./makedefs

do_makedefsall: Defs.class ClassDef.class AttributeDef.class Query.class \
                RPSLSyntax.class AttributeSyntax.class \
		attributes.xml attributes.dtd classes.xml classes.dtd \
                syntax.xml syntax.dtd
	./makedefsall

all: do_makedefsall

clean:
	rm *.class

